Packages - Bug #1378

[Ixde] package group has conflicting dependencies
2017-06-24 02:11 PM - bill-auger

Status: fixed % Done: 100%
Priority: bug

Assignee: ovruni

Category:

Description

the 'Ixde’ group depends on both 'Ixdm' and 'Ixdm-consolekit' which conflict - this gives the following error when starting X:

GDBus.Error:org.freedesktop.ConsoleKit.Manager.Error.General: Unable to lookup session information
for process '1406'

installing only the first 17 packages and excluding 'Ixdm-consolekit' allows X to start correctly without this error

$ sudo pacman -Sw lxde
[sudo] password for bill:
There are 18 members in group lxde:
Repository community
1) gpicview 2) lxappearance 3) lxappearance-obconf 4) lxde-common 5) lxde-icon-theme 6) 1x
dm
7) lxhotkey 8) lxinput 9) lxlauncher 10) lxmusic 11) lxpanel 12) lxrandr 13) lxsession
14) 1lxtask 15) lxterminal 16) openbox 17) pcmanfm
Repository pcr
18) 1lxdm-consolekit

looking for conflicting packages...
warning: removing 'lxdm' from target list because it conflicts with 'lxdm-consolekit'
warning: removing 'polkit' from target list because it conflicts with 'polkit-consolekit'

the package description for 'polkit-consolekit' indicates that is is intended for non-systemd systems
$ sudo pacman -Ss lxdm-consolekit
pcr/lxdm-consolekit 0.5.3-1.1 (lxde)

PolyciKit with ConsoleKit support for non-systemd systems

also - it should not go without saying that a standard distro package shuold not require anything from PCR

History

#1 - 2017-06-29 07:34 AM - isacdaavid

this is strange. why does pacman decide to automatically remove one of the conflicting packages from the target list? also, why is there no menu to
let you choose between packages that provide Ixdm ?, which is to say, doesn't Ixdm provide itself unless provides=() is specified? that would seem to
contradict the PKGBUILD manual... very subtle and error-prone semantics.

this suggests that provides=() or conflicts=() is needed for Ixdm too.
a standard distro package shuold not require anything from PCR

groups don't really require anything. they grow as packages decide to enlist themselves in them, so to speak. in any case, this wouldn't be a problem
if the provides=() were set up correctly because you'd be presented with an option

#2 - 2017-10-20 01:07 AM - bill-auger

it does seem reasonable that any package that has alternate "providers" should "provide" itself - if presumably that would prevent an alternate
"provider" from over-riding it for no other reason without prompting the user - or maybe it must "conflict" with all other providers to prevent this? -
whatever is necessary, Ixdm should probably be the primary option when the '--noconfirm' option is used

$ pacman -Si lxdm | grep -E "Groups|Provides|Depends|Conflicts|Replaces"
Groups : lxde
Provides : None

2024-04-04 1/2




Depends On : gtk2 =xorg-server

Conflicts With : None

Replaces : None

$ pacman -Si lxdm-consolekit | grep -E "Groups|Provides|Depends|Conflicts|Replaces"
Groups : 1xde

Provides : lxdm

Depends On : gtk2 xorg-server consolekit

Conflicts With : lxdm

Replaces : None

another option is to remove both 'Ixdm' and 'Ixdm-consolekit' from the 'Ixde' group because it is not strictly necessary for the DE to install a DM -
these are the packages installed on the LXDE LiveCD - LXDE runs well without any DM at all

$ pacman -Sgg lxde | grep -v lxdm
gpicview
lxappearance
lxappearance—-obconf
lxde—common
lxde—-icon-theme
1xhotkey

lxinput

lxlauncher

lxmusic

lxpanel

lxrandr

lxsession

lxtask

lxterminal

openbox

pcmanfm

#3 - 2017-10-26 07:59 PM - isacdaavid
isacdaavid wrote:

this suggests that provides=() or conflicts=() is needed for Ixdm too.

i take that back. repeating pkgname in provides=() is useless after all, and so is a mutual conflict when one already exists in one direction only.

according to https:/wiki.parabola.nu/Hacking:Common_packaging_mistakes, members of the same group aren't supposed to conflict with one
another. that would explain quite a bit.

#4 - 2017-10-27 05:53 AM - ovruni
- % Done changed from 0 to 100

- Assignee set to ovruni

- Status changed from open to fixed

- Due date set to 2017-10-26
